body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #000;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
h1 {
    position: relative;
    color: #333;
    font-size: 4em;
    letter-spacing: 5px;
    border-bottom: 16px solid #333;
    line-height: 1.4;
    font-family: 'Courier New', Courier, monospace; 
    text-transform: uppercase;
}
h1::before {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    color: dodgerblue;
    border-bottom: 16px solid dodgerblue;
    animation: lod 2s linear infinite;
    overflow: hidden;
}
@keyframes lod {
    0% {
        width: 0%;
    }
    100% {
        width: 100%;
    }
}